Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(63)

Unified Diff: third_party/binutils/build-all.sh

Issue 1368233002: Upgrading binutils to 2.25 for -ggnu-pubnames (Closed) Base URL: https://chromium.googlesource.com/chromium/src.git@master
Patch Set: Extra details about goma. Created 5 years, 3 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/binutils/README.chromium ('k') | third_party/binutils/ehframe-race.patch » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/binutils/build-all.sh
diff --git a/third_party/binutils/build-all.sh b/third_party/binutils/build-all.sh
index a39984ca2b304ade9dee49438fce7996b98170d5..99d107056bfbb086cbdb0f72ea4b944e59f9f7c9 100755
--- a/third_party/binutils/build-all.sh
+++ b/third_party/binutils/build-all.sh
@@ -22,7 +22,7 @@ if [ ! -d "$OUTPUTDIR" ]; then
fi
# Download the source
-VERSION=2.24
+VERSION=2.25
wget -c http://ftp.gnu.org/gnu/binutils/binutils-$VERSION.tar.bz2
# Verify the signature
@@ -43,14 +43,21 @@ if [ ! -d binutils-$VERSION ]; then
# Patch the source
(
cd binutils-$VERSION
- patch -p1 < ../ehframe-race.patch
+ echo "unlock-thin.patch"
+ echo "=================================="
patch -p1 < ../unlock-thin.patch
+ echo "----------------------------------"
+ echo
+ echo "plugin-dso-fix.patch"
+ echo "=================================="
patch -p1 < ../plugin-dso-fix.patch
+ echo "----------------------------------"
+ echo
)
fi
for ARCH in i386 amd64; do
- if [ ! -d lucid-chroot-$ARCH ]; then
+ if [ ! -d precise-chroot-$ARCH ]; then
# Refresh sudo credentials
sudo -v
@@ -61,11 +68,11 @@ for ARCH in i386 amd64; do
sudo debootstrap \
--arch=$ARCH \
--include=build-essential,flex,bison \
- lucid lucid-chroot-$ARCH
+ precise precise-chroot-$ARCH
echo "============================="
fi
- BUILDDIR=lucid-chroot-$ARCH/build
+ BUILDDIR=precise-chroot-$ARCH/build
# Clean up any previous failed build attempts inside chroot
if [ -d "$BUILDDIR" ]; then
@@ -92,7 +99,7 @@ for ARCH in i386 amd64; do
echo ""
echo "Building binutils for $ARCH"
LOGFILE="$OUTPUTDIR/build-$ARCH.log"
- if ! sudo $PREFIX chroot lucid-chroot-$ARCH /build/build-one.sh /build/binutils-$VERSION > $LOGFILE 2>&1; then
+ if ! sudo $PREFIX chroot precise-chroot-$ARCH /build/build-one.sh /build/binutils-$VERSION > $LOGFILE 2>&1; then
echo "Build failed! See $LOGFILE for details."
exit 1
fi
« no previous file with comments | « third_party/binutils/README.chromium ('k') | third_party/binutils/ehframe-race.patch » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698